Bug 1138738 - Please apply Context Class Loader fix to SCA Invoker
Summary: Please apply Context Class Loader fix to SCA Invoker
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: One-off release
Assignee: Keith Babo
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks: 1120384
TreeView+ depends on / blocked
 
Reported: 2014-09-05 14:14 UTC by Rick Wagner
Modified: 2018-12-09 18:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
reproducer (313.94 KB, application/zip)
2014-10-29 13:33 UTC, Martin Basovník
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker SWITCHYARD-2154 Major Resolved set deployment class loader as a TCCL on SCA local invocation 2016-03-14 08:55:31 UTC

Description Rick Wagner 2014-09-05 14:14:39 UTC
Description of problem:

String template usage doesn't allow loading of resources from inside the project as described in the customer case at [1].

The fix for this problem is thought to be the commit at [2].

Please apply this fix to FSW 6.0.

Thanks!


[1] https://c.na7.visual.force.com/apex/Case_View?id=500A000000J6sVq&srPos=0&srKp=500&sfdc.override=1

[2] https://github.com/igarashitm/components/commit/d8a556e6604307fd5ddc28f9e8fa0cdeb80cc282

Comment 1 Keith Babo 2014-09-05 14:42:06 UTC
Note that the reference to [2] in the prior comment is not the commit that should be used.  This was fixed as part of SWITCHYARD-2154 and the commit which fixes this in master is:

https://github.com/jboss-switchyard/components/commit/5e4e46812630ff0a3cd98eb64df7299e41cfb1d9

Comment 3 Rob Cernich 2014-09-25 17:42:53 UTC
should be available in p8 or later

Comment 9 Martin Basovník 2014-10-29 13:33:43 UTC
Created attachment 951795 [details]
reproducer

mvn clean verify -Djboss.home=<...>


Note You need to log in before you can comment on or make changes to this bug.